Fetch your dataset (optional)
If you’re using a HoneyHive dataset, retrieve it and its datapoints:
GET /datasetsto find your datasetGET /datapointswith thedataset_namequery parameter to fetch its datapoints
Create the experiment run
POST /runs with an optional dataset_id. Save the returned run_id.Execute and log each datapoint
For each test case:
POST /session/startwithmetadata.run_id,metadata.datapoint_id, andmetadata.dataset_idset on the session.- Run your application logic and log events using the strategies in Tracing via API. Set the same
metadata.run_id,metadata.datapoint_id, andmetadata.dataset_idon each event. Pass any client-side metrics on the relevant events. - Collect the
session_idreturned in step 1.
Complete the run
PUT /runs/{run_id} with status: "completed" and event_ids set to the list of session IDs collected in the previous step.event_ids takes the root session event IDs (the session_id values from step 3), not child event IDs.
